Debian Bug report logs - #227543
Predicate parser is fragile

version graph

Package: grep-dctrl; Maintainer for grep-dctrl is (unknown);

Reported by: Antti-Juhani Kaijanaho <ajk@debian.org>

Date: Tue, 13 Jan 2004 21:49:12 UTC

Severity: normal

Found in version 2.0

Fixed in version grep-dctrl/2.1.5

Done: Antti-Juhani Kaijanaho <ajk@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org:
Bug#227543; Package grep-dctrl. Full text and rfc822 format available.

Acknowledgement sent to Antti-Juhani Kaijanaho <ajk@debian.org>:
New Bug report received and forwarded. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Antti-Juhani Kaijanaho <ajk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Predicate parser is fragile
Date: Tue, 13 Jan 2004 20:38:21 +0200
Package: grep-dctrl
Version: 2.0
Severity: normal

Observe:
ajk@kukkaruukku[20:35:07]:dctrl-tools$ grep-available --debug-optparse -FDepends grep-dctrl -o
num_atoms = 1
atoms[0].field_name = Depends
atoms[0].mode = 0
atoms[0].ignore_case = 0
atoms[0].pat = grep-dctrl
proglen = 2
program[0] = PUSH(0)
program[1] = OR
num_fnames = 0
ajk@kukkaruukku[20:36:07]:dctrl-tools$ grep-available -FDepends grep-dctrl -o
grep-available: predicate.c:159: does_para_satisfy: Assert-makro "sp >= 2" ei pid paikkaansa.
Keskeytetty (core dumped)

The parser needs to be rewritten based on a true LL(1) grammar.

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux kukkaruukku 2.4.23-1-686 #1 Sun Nov 30 20:51:10 EST 2003 i686
Locale: LANG=fi_FI@euro, LC_CTYPE=fi_FI@euro

Versions of packages grep-dctrl depends on:
ii  libc6                       2.3.2.ds1-10 GNU C Library: Shared libraries an

-- no debconf information




Tags added: pending Request was from Antti-Juhani Kaijanaho <ajk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Antti-Juhani Kaijanaho <ajk@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Antti-Juhani Kaijanaho <ajk@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 227543-close@bugs.debian.org (full text, mbox):

From: Antti-Juhani Kaijanaho <ajk@debian.org>
To: 227543-close@bugs.debian.org
Subject: Bug#227543: fixed in grep-dctrl 2.1.5
Date: Sun, 04 Jul 2004 08:32:05 -0400
Source: grep-dctrl
Source-Version: 2.1.5

We believe that the bug you reported is fixed in the latest version of
grep-dctrl, which is due to be installed in the Debian FTP archive:

grep-dctrl_2.1.5.dsc
  to pool/main/g/grep-dctrl/grep-dctrl_2.1.5.dsc
grep-dctrl_2.1.5.tar.gz
  to pool/main/g/grep-dctrl/grep-dctrl_2.1.5.tar.gz
grep-dctrl_2.1.5_i386.deb
  to pool/main/g/grep-dctrl/grep-dctrl_2.1.5_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 227543@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Antti-Juhani Kaijanaho <ajk@debian.org> (supplier of updated grep-dctrl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun,  4 Jul 2004 15:12:04 +0300
Source: grep-dctrl
Binary: grep-dctrl
Architecture: source i386
Version: 2.1.5
Distribution: unstable
Urgency: low
Maintainer: Antti-Juhani Kaijanaho <ajk@debian.org>
Changed-By: Antti-Juhani Kaijanaho <ajk@debian.org>
Description: 
 grep-dctrl - Grep Debian package information
Closes: 227543 236196
Changes: 
 grep-dctrl (2.1.5) unstable; urgency=low
 .
   * msg.[ch]: Rearranging.
   * msg.h (msg_get_progname): New function.
   * grep-dctrl.c: Rewrite the parser so that argp only
     produces a list of tokens for a new recursive-descent
     predicate parser.
     Closes: #227543 (Predicate parser is fragile) [Reported by AJK]
   * French translation by Nicolas Bertolissio, proofread by
     Michel Grentzinger, Claude Thomassin and Denis Barbier
   * po/fi.po: Updated.
   * getaline.c (getaline): Ensure that there is a null terminator in an
     empty return value.
   * grep-dctrl.c (main): Warn about the use of standard input when the
     command name was not found.
     Closes: #236196 (please tell the user when falling back to reading stdin)
     [Reported by Danilo Piazzalunga]
Files: 
 6fb69ba2b8d8116052d5f06544aae1fd 504 utils optional grep-dctrl_2.1.5.dsc
 1cb0522c4c99bd036bbc080c67733671 52642 utils optional grep-dctrl_2.1.5.tar.gz
 0c3c5653ed19fb57d2a762ebf6c27aec 37590 utils optional grep-dctrl_2.1.5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFA5/YBHsI32VNFhOgRAmFWAJ423b5tO0B5HhOkmqvvEhAAQXrs3wCfZEr4
xnu1r0iVKtX5Lil1Bl5Pwgo=
=12Gx
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:31:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.